de.vc.jfo.renderer

## Class OutputFormat

- java.lang.Object
- - de.vc.jfo.renderer.OutputFormat

-     public class OutputFormat
      extends java.lang.Object

  The output format specifies the type of renderers output.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OutputFormat` | `AWT` Output is AWT, that means renderer should open an AWT-Window for each document.
    `static OutputFormat` | `HTML` Output format is HTML.
    `static OutputFormat` | `MIF` Output format is MIF.
    `static OutputFormat` | `PCL` Output format is PDF.
    `static OutputFormat` | `PDF` Output format is PDF.
    `static OutputFormat` | `PDF_A` Shorthand for output format PDF_A_1A.
    `static OutputFormat` | `PDF_A_1A` Output format is PDF with PDF/A-1a profile.
    `static OutputFormat` | `PDF_A_1B` Output format is PDF with PDF/A-1b profile.
    `static OutputFormat` | `PDF_FORM` Output format is a PDF form.
    `static OutputFormat` | `PDF_X_3_2003` Output format is PDF with PDF/X-3:2003 profile.
    `static OutputFormat` | `PRINT` Output is a printer.
    `static OutputFormat` | `PS` Output format is Postscript.
    `static OutputFormat` | `RTF` Output format is plain text.
    `static OutputFormat` | `SVG` Output format is SVG.
    `static OutputFormat` | `TXT` Output format is plain text.
    `static OutputFormat` | `XML_TREE_FOP` Output format is the XML tree of FOP.
    `static OutputFormat` | `XSL_FO` Output format is XSL-FO.
    `static OutputFormat` | `XSL_STYLESHEET` Output format is XSL-FO.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `displayNames(OutputFormat[] formats)`
    `boolean` | `equals(java.lang.Object o)`
    `static OutputFormat` | `forDisplayName(java.lang.String name)`
    `java.lang.String` | `getDisplayName()` Gets the display name (full qualified name).
    `java.lang.String` | `getFileSuffix()` Gets the file suffix.
    `java.lang.String` | `getMimeType()`
    `java.lang.String` | `getShortName()`
    `boolean` | `isFileOutput()`
    `static java.lang.String` | `shortNames(OutputFormat[] formats)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XSL_FO

          public static final OutputFormat XSL_FO

      Output format is XSL-FO.

    - #### XSL_STYLESHEET

          public static final OutputFormat XSL_STYLESHEET

      Output format is XSL-FO.

    - #### PDF

          public static final OutputFormat PDF

      Output format is PDF.

    - #### PDF_FORM

          public static final OutputFormat PDF_FORM

      Output format is a PDF form.

    - #### PDF_A_1A

          public static final OutputFormat PDF_A_1A

      Output format is PDF with PDF/A-1a profile.

    - #### PDF_A_1B

          public static final OutputFormat PDF_A_1B

      Output format is PDF with PDF/A-1b profile.

    - #### PDF_X_3_2003

          public static final OutputFormat PDF_X_3_2003

      Output format is PDF with PDF/X-3:2003 profile.

    - #### PDF_A

          public static final OutputFormat PDF_A

      Shorthand for output format PDF_A_1A.

    - #### AWT

          public static final OutputFormat AWT

      Output is AWT, that means renderer should open an AWT-Window for each document.

    - #### MIF

          public static final OutputFormat MIF

      Output format is MIF.

    - #### PCL

          public static final OutputFormat PCL

      Output format is PDF.

    - #### PRINT

          public static final OutputFormat PRINT

      Output is a printer.

    - #### PS

          public static final OutputFormat PS

      Output format is Postscript.

    - #### SVG

          public static final OutputFormat SVG

      Output format is SVG.

    - #### TXT

          public static final OutputFormat TXT

      Output format is plain text.

    - #### RTF

          public static final OutputFormat RTF

      Output format is plain text.

    - #### HTML

          public static final OutputFormat HTML

      Output format is HTML.

    - #### XML_TREE_FOP

          public static final OutputFormat XML_TREE_FOP

      Output format is the XML tree of FOP.

  - ### Method Detail

    - #### getFileSuffix

          public java.lang.String getFileSuffix()

      Gets the file suffix.
      Returns:
        File suffix.

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name (full qualified name).
      Returns:
        Display name.

    - #### getShortName

          public java.lang.String getShortName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isFileOutput

          public boolean isFileOutput()

    - #### displayNames

          public static final java.lang.String displayNames(OutputFormat[] formats)

    - #### shortNames

          public static final java.lang.String shortNames(OutputFormat[] formats)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### forDisplayName

          public static OutputFormat forDisplayName(java.lang.String name)

    - #### getMimeType

          public java.lang.String getMimeType()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.